> For the complete documentation index, see [llms.txt](https://docs.0resmon.org/0resmon/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.0resmon.org/0resmon/0resmon-1/frkn-resources/lab-pet-v3/installation.md).

# Installation

```
  ensure your-framework
  ensure lab-petv3
  ensure object_gizmo
  ensure petshop_map
```

* 1 / First step, download the script from your [Cfx.re Keymaster](https://keymaster.fivem.net/asset-grants).
* 2 / Drag and drop the folder into your resources, Note (folder name should be "lab-petv3".
* 3 / Go to your server.cfg , and ensure lab-petv3.
* 4 / Make sure to insert sql
* 5 / Add images in folder to your inventory Example : qb-inventory\html\images
* 6 / For QBcore add following items to your shared / items.lua
* 7 / Install map : <https://github.com/BaziForYou/petshop_map-fivem>
* Object Gizmo install link : <https://drive.google.com/file/d/1mtBFGwqzUMKJXsGkmZBMclaIJ__VgzvB/view?usp=sharing>
*

`````
````lua
`````

`````
```lua
pethealth = { name = ' pethealth', label = 'Pet Health', weight = 0, type = 'item', image = 'pethealth.png', unique = true, useable = false, shouldClose = false, combinable = nil, description = 'Pet Health' },
    petfood = { name = ' petfood', label = 'Pet Food', weight = 0, type = 'item', image = 'petfood.png', unique = true, useable = false, shouldClose = false, combinable = nil, description = 'Pet Food' },
    petthirst = { name = ' petthirst', label = 'Pet Thirst', weight = 0, type = 'item', image = 'health3.png', unique = true, useable = false, shouldClose = false, combinable = nil, description = 'Pet Thirst' },
    petball = { name = ' petball', label = 'Pet Ball', weight = 0, type = 'item', image = 'toys3.png', unique = true, useable = false, shouldClose = false, combinable = nil, description = 'Pet Ball' },
    petrope = { name = ' petrope', label = 'Pet Rope', weight = 0, type = 'item', image = 'toys2.png', unique = true, useable = false, shouldClose = false, combinable = nil, description = 'Pet Rope' },
```
````
`````


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/frkn-resources/lab-pet-v3/installation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
